/*
    cve-manager : CVE management tool
    Copyright (C) 2017-2024 Alexey Appolonov

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include    "manager.h"
#include    "time.h"

//-----------------------------------------------------------------------------
// Get current year

int CurrentYear(void){

    time_t current_time = time(NULL);
    // The memory should not be deallocated
    struct tm *local_time = localtime(&current_time);

    return 1900 + local_time->tm_year;
    }

//-----------------------------------------------------------------------------
// Form a format violation error message

string FormatViolation(const string &file_name, const int line_n){

    return "Format violation in \"" + file_name + "\", line " +
        to_string(line_n);
    }

//-----------------------------------------------------------------------------
