/*
    cve-manager : CVE management tool
    Copyright (C) 2017-2024 Alexey Appolonov

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef     lcve_manager_managerH
#define     lcve_manager_managerH

//#define     LCVEMANAGER_DEBUGGING
//#define     LCVEMANAGER_FULL_DEBUGGING

#ifdef      LCVEMANAGER_DEBUGGING
#define     CONF_DIR    "/home/alexey/devel/cve-manager/samples/"
#define     MAIN_CONF   CONF_DIR "cve-manager.debug.conf"
#include    "libcontrol++/src/conf.h"
#include    "libcontrol++/src/text.h"
#else
#define     CONF_DIR    "/etc/cve-manager/"
#define     MAIN_CONF   CONF_DIR "cve-manager.conf"
#include    <libcontrol++/conf.h>
#include    <libcontrol++/text.h>
#endif

#include    <string>
#include    <map>

#define     N_REPO          7
#define     REPO_SISYPHUS   0
#define     REPO_P7         1
#define     REPO_P8         2
#define     REPO_C7         3
#define     REPO_C8         4
#define     REPO_C71        5
#define     REPO_C81        6

#define     LOCAL_SYS       "local_sys"

using namespace std;

//-----------------------------------------------------------------------------

// Available sources of vulnerabilities records
const set<string> available_vulsrc = {"nvd", "fstec"};

//-----------------------------------------------------------------------------

// Get current year
int CurrentYear(void);
// Form a format violation error message
string FormatViolation(const string &file_name, const int line_n);

//-----------------------------------------------------------------------------

#endif
